import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http'

@Injectable({
  providedIn: 'root'
})
export class KorisnikService {

  constructor(private http: HttpClient) { }

  uri='http://localhost:4000'

  prijavaNaSistem(kor_ime, lozinka){
    const podaci={
      kor_ime: kor_ime,
      lozinka: lozinka
    }

    return this.http.post(`${this.uri}/korisnici/prijavaNaSistem`, podaci);
  }

  dohvatiKorisnika(kor_ime){
    const podaci={
      kor_ime: kor_ime
    }

    return this.http.post(`${this.uri}/korisnici/dohvatiKorisnika`, podaci);
  }
}
